﻿using System;
using System.Linq;
using Microsoft.Phone.Controls;
using System.Collections.Generic;
using System.ComponentModel;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace PhoneApp7
{
	public partial class MainPage : PhoneApplicationPage
	{
		private ViewModel viewModel = new ViewModel();
		private RadDataBoundListBox listBox = null;
		public MainPage()
		{
			InitializeComponent();
			this.DataContext = this.viewModel;
		}

		private void PopupList_ItemCheckedStateChanged(object sender, ItemCheckedStateChangedEventArgs e)
		{
			// use this event to be notified when an item is checked/unchecked
		}
	}

	public class ViewModel : INotifyPropertyChanged
	{
		private ObservableCollection<Person> people = new ObservableCollection<Person>();
		public event PropertyChangedEventHandler PropertyChanged;
		private Person selectedPerson = null;

		public ViewModel()
		{
			this.people.Add(new Person("John"));
			this.people.Add(new Person("Mike"));
			this.people.Add(new Person("Ellen"));
			this.people.Add(new Person("Sasha"));
			this.selectedPerson = this.people[0];
		}

		public Person SelectedPerson
		{
			get
			{
				return this.selectedPerson;
			}
			set
			{
				if (this.selectedPerson != value)
				{
					this.selectedPerson = value;
					this.OnPropertyChanged("SelectedPerson");
				}
			}
		}

		public ObservableCollection<Person> People
		{
			get
			{
				return this.people;
			}
		}

		protected void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}

	public class Person
	{
		public Person(string name)
		{
			this.Name = name;
		}
		public string Name { get; set; }
	}
}